<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_6e38cb9e043a" . "07cd69a1711a6" . "704c62a" => base64_decode("cGFyZ" . "W50X2" . "lk"), "_0ee0a25025d73f8693a4bb3" . "7a3c298ac" => base64_decode("Y2hlY2t" . "lZF9pbl" . "9ieQ=="), "_d5ebf376f6" . "35c188ec658" . "13608e6ece5" => base64_decode("bmV3X3Zl" . "cnNpb24="));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0ee0a25025d73f86" . "93a4bb37a3c298ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_d5ebf37" . "6f635c18" . "8ec65813" . "608e6ece" . "5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_6e38cb9e043a07c" . "d69a1711a6704c62" . "a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}